package com.neusoft.smart.pos.strategy.persistent.mapper;

import com.neusoft.smart.pos.strategy.persistent.domain.ShopOtherChargesConfig;
import com.neusoft.smart.pos.strategy.persistent.domain.ShopOtherChargesConfigExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ShopOtherChargesConfigMapper {
    int countByExample(ShopOtherChargesConfigExample example);

    int deleteByExample(ShopOtherChargesConfigExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(ShopOtherChargesConfig record);

    int insertSelective(ShopOtherChargesConfig record);

    List<ShopOtherChargesConfig> selectByExample(ShopOtherChargesConfigExample example);

    ShopOtherChargesConfig selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") ShopOtherChargesConfig record, @Param("example") ShopOtherChargesConfigExample example);

    int updateByExample(@Param("record") ShopOtherChargesConfig record, @Param("example") ShopOtherChargesConfigExample example);

    int updateByPrimaryKeySelective(ShopOtherChargesConfig record);

    int updateByPrimaryKey(ShopOtherChargesConfig record);

    void batchInsert(@Param("items") List<ShopOtherChargesConfig> items);
}